//---------------------------------------------------------------------------

#ifndef RsAliasH
#define RsAliasH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>
#include <dbtables.hpp>
#include <bde.hpp>
//---------------------------------------------------------------------------
typedef void __fastcall (__closure *TRsAliasError)(System::TObject* Sender , String Message);
class PACKAGE TRsAlias : public TComponent
{
private:
        bool FUseBDEAPI;
        String FDriverType;
        String FAliasName;
        TStringList* FAliasParameters;
        bool FPersistent;
        bool FDeleteIfExists;
        TRsAliasError FOnError;
        void __fastcall InstallBDEAPI();
        void __fastcall InstallVCL();
        void __fastcall CheckBDE(DBIResult value);
        void __fastcall SetAliasParameters(TStringList* value);
        void __fastcall GetDriverTypes(TStringList* List);
        String __fastcall GetDriverType();
        void __fastcall SetDriverType(String value);
         String __fastcall BuildOptions();
protected:
public:
        __fastcall TRsAlias(TComponent* Owner);
        __fastcall ~TRsAlias();
        void __fastcall Execute();
__published:
        __property bool UseBDEAPI  = { read=FUseBDEAPI, write=FUseBDEAPI };
        __property String DriverType  = { read=GetDriverType, write=SetDriverType };
        __property String AliasName  = { read=FAliasName, write=FAliasName };
        __property bool Persistent  = { read=FPersistent, write=FPersistent };
        __property TStringList* AliasParameters  = { read=FAliasParameters, write=SetAliasParameters };
        __property bool DeleteIfExists  = { read=FDeleteIfExists, write=FDeleteIfExists };
        __property TRsAliasError OnError  = { read=FOnError, write=FOnError };
};
//---------------------------------------------------------------------------
#endif
